/* Copyright (C) 2008 P.L. Lucas
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */



#include <gtk/gtk.h>
#include <glade/glade.h>
#include <vte/vte.h>
#include <vte/reaper.h>

#include "postscript_options.h"
#include "latex_xml.h"


static gchar *datafile_name=NULL;


/*************************************************************************************************/
void create_to_latex_options(GtkWidget *vte){
	GError *error;
	GladeXML *xml;
	GtkWidget *dialog;
	gint result;
	/* load the interface */
    	/*xml = glade_xml_new(GLADE_LATEX, NULL, NULL);*/
    	xml = glade_xml_new_from_buffer( latex_xml, strlen(latex_xml), NULL, NULL );
   	 if(xml==NULL) {
   	 	printf("Error: latex.glade not found.\n\n");
 	   	exit(0);
 	   }
 	/* connect the signals in the interface */
 	glade_xml_signal_autoconnect(xml);
    	dialog=glade_xml_get_widget(xml,"dialog");
    	result=gtk_dialog_run(GTK_DIALOG(dialog));
    	if( result == GTK_RESPONSE_OK ) {
		char comando[5000];
		GtkWidget *aux;
		comando[0]='\0';
		strcat(comando,"set term ");
		aux=glade_xml_get_widget(xml,"latex_combo_entry");
		strcat(comando, gtk_editable_get_chars
				(GTK_EDITABLE(aux),0,-1));
		strcat(comando," ");
		aux=glade_xml_get_widget(xml,"font_combo_entry");
		strcat(comando, gtk_editable_get_chars
				(GTK_EDITABLE(aux),0,-1));
		strcat(comando," ");
		aux=glade_xml_get_widget(xml,"size_entry");
		strcat(comando, gtk_editable_get_chars
				(GTK_EDITABLE(aux),0,-1));
		datafile_name=select_file("Select ouput file",datafile_name);
		if(datafile_name!=NULL) {
			strcat(comando,"\nset output \"");
			strcat(comando,datafile_name);
			strcat(comando,"\"\nreplot\nset term x11\n");
			vte_terminal_feed_child(VTE_TERMINAL(vte), comando, strlen(comando));
		}
	}
	gtk_widget_destroy(dialog);
	g_object_unref(xml);
}
